package org.processmining.dataawarecnetminer.extension.decision;

import org.processmining.dataawarecnetminer.common.MinerContext;
import org.processmining.dataawarecnetminer.exception.MiningException;
import org.processmining.dataawarecnetminer.interactive.methods.MethodConfiguration;
import org.processmining.dataawarecnetminer.model.FrequencyAwareCausalNet;
import org.processmining.dataawarecnetminer.model.FrequencyAwareDataCausalNet;

public interface DecisionHeuristic {

	FrequencyAwareDataCausalNet computeDecisions(MinerContext context, MethodConfiguration configuration,
			FrequencyAwareCausalNet causalNet) throws MiningException;

}