package org.processmining.dataawarecnetminer.interactive.methods;

import javax.swing.JComponent;

import org.processmining.dataawarecnetminer.common.MinerContext;
import org.processmining.dataawarecnetminer.exception.MiningException;
import org.processmining.dataawarecnetminer.model.DataRelationStorage;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.framework.plugin.PluginContext;

public interface MiningMethod {

	JComponent mine(MinerContext extensionContext) throws MiningException;

	void save(PluginContext context, String fileName) throws MiningException;

	MethodConfiguration getConfiguration();

	void updateData(EventRelationStorage eventStorage, DataRelationStorage dataStorage);

}