package org.processmining.dataawarecnetminer.model;

import org.processmining.datapetrinets.expression.GuardExpression;
import org.processmining.models.causalgraph.Relation;

import weka.classifiers.AbstractClassifier;
import weka.classifiers.Evaluation;

public interface DataRelation {

	Relation getRelation();

	AbstractClassifier getClassifier();

	Evaluation getEvaluation();

	String getEvaluationDetails();

	GuardExpression getCondition();

	boolean isConditionTrue();

	double getQualityScore();

	double getQualityVariance();

	String getQualityScoreName();

}