package org.processmining.dataawarecnetminer.extension.decision;

import java.util.Set;

import org.processmining.datadiscovery.DecisionTreeConfig;

import com.google.common.collect.ImmutableSet;

public class DecisionHeuristicConfig {

	private DecisionTreeConfig discoveryConfig = new DecisionTreeConfig();
	private Set<String> dataDiscoveryAttributes = ImmutableSet.of();
	private double decisionThreshold = 0.8;
	private double writeThreshold = 0.8;
	private boolean usesDecisionThreshold = true;

	public DecisionTreeConfig getDataDiscoveryConfig() {
		return discoveryConfig;
	}

	public void setDataDiscoveryConfig(DecisionTreeConfig dataDiscoveryConfig) {
		this.discoveryConfig = dataDiscoveryConfig;
	}

	public Set<String> getDataDiscoveryAttributes() {
		return dataDiscoveryAttributes;
	}

	public void setDataDiscoveryAttributes(Set<String> dataDiscoveryAttributes) {
		this.dataDiscoveryAttributes = dataDiscoveryAttributes;
	}

	public void setDecisionThreshold(double decisionThreshold) {
		this.decisionThreshold = decisionThreshold;
	}

	public double getDecisionThreshold() {
		return decisionThreshold;
	}

	public boolean usesDecisionThreshold() {
		return usesDecisionThreshold;
	}

	public void setUsesDecisionThreshold(boolean usesDecisionThreshold) {
		this.usesDecisionThreshold = usesDecisionThreshold;
	}

	public double getWriteThreshold() {
		return writeThreshold;
	}

	public void setWriteThreshold(double writeThreshold) {
		this.writeThreshold = writeThreshold;
	}

}