package org.processmining.dataawarecnetminer.extension.dependencies;

import org.processmining.dataawarecnetminer.common.MinerContext;
import org.processmining.dataawarecnetminer.interactive.methods.MethodConfiguration;
import org.processmining.dataawarecnetminer.model.DependencyAwareCausalGraph;

public interface DependencyHeuristic {

	/**
	 * Computes the dependency values between activities
	 * @param context 
	 */
	DependencyAwareCausalGraph computeDependencies(MinerContext context, MethodConfiguration configuration);
	
}